.search-container {
    position: relative;
    width: 100%;
    margin: 40px 0;
    padding: 0 60px;
    box-sizing: border-box;
}

/* ------Search Categories List -------*/
.select-wrapper {
    background: #FAFAFA;
    height: 100%;
    width: 160px;
    padding-left: 10px;
    display: flex;
    flex-direction: row;
    align-content: center;
    align-items: center;
    justify-content: flex-start;
}
.categories-list {
    border: none;
    width: 100%;
    box-sizing: content-box;
    background: transparent;
    height: auto;
    outline: none;
}
.categories-list option {
    padding: 10px 20px;
}

/* ----- Search Input ----- */

.search-input-container {
    width: 100%;
    height: 48px;
    max-width: 750px;
    padding: 0;
    margin: 0 auto;
    background: white;
    border-radius: 40px;
    text-align: left;
    position: relative;
    overflow: hidden;
    display: flex;
    box-sizing: border-box;
}

.autocomplete-container {
    display: flex;
    align-items: center;
    font-size: 14px;
    position: relative;
    width: calc(100% - 48px);
}

.search-input {
    border: none;
    width: 100%;
    margin: 0;
    background: white;
    outline: none;
    padding-left: 10px;
    height: 100%;
}

.search-input::placeholder {
    font-style: italic;
}

.search-input,
#text-measurer {
    font-size: 14px;
    font-weight: 700;
}

.suggestion {
    position: absolute;
    top: auto;
    pointer-events: none;
    margin-top: -2px;
}

.search-input-container .actions {
    height: 24px;
    position: absolute;
    right: 25px;
    top: 50%;
    transform: translateY(-50%);
    display: flex;
    gap: 5px;
}

.search-input-container .actions .clear {
    display: none;
    width: 24px;
    height: 24px;
    background: url(https://cube.commercebox.io/search/icons/close.svg) no-repeat center center;
    background-size: 22px 22px;
    cursor: pointer;
}

.has-results .actions .clear {
    display: block;
}

.has-results.no-results .left-col {
    width: 100%;
    text-align: center;
}

.has-results.no-results .left-col .suggested-items-title,
.has-results.no-results .left-col .suggested-items-show-all-button,
.has-results.no-results .middle-col,
.has-results.no-results .right-col {
    display: none;
}

.search-input-container .actions .scanner {
    width: 24px;
    height: 24px;
    background: url(https://cube.commercebox.io/search/icons/scanner.svg) no-repeat center center;
    background-size: 18px 18px;
    cursor: pointer;
    margin-right: 17px;
}

.search-input-container .actions .scanner.active {
    background: url(https://cube.commercebox.io/search/icons/close.svg) no-repeat center center;
}

.search-input-container .actions .microphone {
    width: 24px;
    height: 24px;
    background: url(https://cube.commercebox.io/search/icons/mic.svg) no-repeat center center;
    background-size: 22px 22px;
    cursor: pointer;
}

.search-input-container .actions .microphone.active {
    background-size: 15px;
    border-radius: 14px;
    border: 2px solid red;
}

.search-input-container .actions .microphone.disabled {
    display: none!important;
}

.search-input-container .actions .search-button {
    width: 24px;
    height: 24px;
    background: url(https://cube.commercebox.io/search/icons/search.svg) no-repeat center center;
    background-size: 24px 24px;
    cursor: pointer;
}

.search-input-container .actions .search-button:before {
    content: "";
    width: 2px;
    display: inline-block;
    position: relative;
    height: 140%;
    background: #00508f1f;
    right: 10px;
    top: -5px;
}

/* ----- Search Popup ----- */

.search-popup {
    display: none;
    background: white;
    position: absolute;
    top: 100%;
    left: 50%;
    width: calc(100% - 120px);
    transform: translate(-50%, 10px);
    padding: 40px 50px;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-between;
    align-items: flex-start;
}

.has-results .search-popup {
    display: flex;
}

.search-popup .left-col,
.search-popup .middle-col,
.search-popup .right-col {
    width: 25%;
}

.search-popup .left-col .suggested-items-title .title{
    font-size: 16px;
    font-weight: 700;
    line-height: 20px;
    letter-spacing: 0;
    text-align: left;
}

.search-popup .left-col .suggested-items-list {
    margin: 48px 0;
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.search-popup .left-col .suggested-items-list .suggested-item{
    display: flex;
    gap: 10px;
    cursor: pointer;
}

.search-popup .left-col .suggested-items-list .suggested-item img{
    width: 80px;
}

.search-popup .left-col .suggested-items-list .suggested-item .right-column {
    display: flex;
    flex-direction: column;
    gap: 10px;
    padding-top: 10px;
}

.search-popup .left-col .suggested-items-list .suggested-item .name{
    font-size: 14px;
    font-weight: 400;
    line-height: 18px;
    letter-spacing: 0;
    text-align: left;
}

.search-popup .left-col .suggested-items-list .suggested-item .name .highlight{
    display: inline;
    font-weight: 800;
}

.search-popup .left-col .suggested-items-list .suggested-item .sku{
    font-size: 14px;
    font-weight: 400;
    line-height: 18px;
    letter-spacing: 0em;
    text-align: left;
    color: #707070;
}

.search-popup .left-col .suggested-items-list .suggested-item .sku:before{
    content: "#";
}

.search-popup .left-col .suggested-items-list .suggested-item .price{
    font-size: 16px;
    font-weight: 700;
    line-height: 16px;
    letter-spacing: 0;
    text-align: left;
}

.search-popup .left-col .suggested-items-list .suggested-item .price:after {
    content: "\20AC";
}

.search-popup .left-col .suggested-items-show-all-button .title{
    font-size: 14px;
    font-weight: 400;
    line-height: 14px;
    letter-spacing: 0;
    text-align: left;
    text-decoration: underline;
    cursor: pointer;
}

.search-popup .middle-col .typeahead-container {
    display: flex;
    flex-direction: column;
    gap: 5px;
    margin-bottom: 48px;
}

.search-popup .middle-col .typeahead-container .typeahead-item{
    font-size: 16px;
    font-weight: 400;
    line-height: 22px;
    letter-spacing: 0;
    text-align: left;
    font-style: italic;
    margin-bottom: 15px;
    text-transform: lowercase;
    cursor: pointer;
}

.search-popup .middle-col .brands-container,
.search-popup .middle-col .categories-container {
    margin-bottom: 48px;
}

.search-popup .middle-col .brands-container .brands-items{
    display: flex;
    flex-direction: column;
    gap: 5px;
    cursor: pointer;
}

.search-popup .middle-col .categories-container .title,
.search-popup .middle-col .brands-container .title {
    font-size: 16px;
    font-weight: 700;
    line-height: 38px;
    letter-spacing: 0;
    text-align: left;
    color: #00223D99;
    position: relative;
    background: white;
    overflow: hidden;
}

.search-popup .middle-col .categories-container .title:after,
.search-popup .middle-col .brands-container .title:after {
    content: "";
    width: 100%;
    display: inline-block;
    position: absolute;
    top: calc(50% - 1px);
    height: 2px;
    background: #00223D99;
    margin-left: 6px;
}

.search-popup .middle-col .brands-container .brand-items,
.search-popup .middle-col .categories-container .category-items{
    display: flex;
    flex-direction: column;
    gap: 5px;
    margin-top: 10px;
}

.search-popup .middle-col .brands-container .brand-items a,
.search-popup .middle-col .categories-container .category-items div{
    font-size: 14px;
    font-weight: 400;
    letter-spacing: 0;
    text-align: left;
    text-decoration: none;
    color: #00223D;
    cursor: pointer;
}

.search-popup .right-col {

}

.search-popup .right-col .banner-container {

}

.search-popup .right-col .recent-searches-list .recent-searches-items {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    gap: 10px;
    margin-top: 20px;
    font-size: 14px;
    font-weight: 400;
    letter-spacing: 0;
    text-align: left;
    text-decoration: none;
    color: #00223D;
    cursor: pointer;
}

.search-popup .right-col .recent-searches-list .title {
    font-size: 16px;
    font-weight: 700;
    line-height: 12px;
    letter-spacing: 0;
    text-align: left;
}

.search-popup .no-results {
    font-size: 18px;
    font-weight: 700;
}

/* ----- Grid Results ----- */

.grid-container .grid-content {
    display: flex;
    flex-direction: row;
}

.grid-container .grid-content .filters {
    width: 20%;
    padding: 10px 20px;
}

.grid-container .grid-content .filters .selected-filters {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: center;
    gap: 10px;
}

.grid-container .grid-content .filters .selected-filters .selected-filter-item {
    background: #e8e8e8;
    padding: 5px 10px;
    border-radius: 12px;
    box-shadow: 0 1px 1px #00000069;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-between;
}

.grid-container .grid-content .filters .selected-filters .clear-filter {
    margin-left: 11px;
    font-size: 16px;
    background: white;
    display: flex;
    height: 20px;
    width: 20px;
    flex-direction: column;
    flex-wrap: nowrap;
    align-items: center;
    justify-content: center;
    border-radius: 10px;
    box-sizing: border-box;
    cursor: pointer;
}

.grid-container .grid-content .filters .title {
    text-align: center;
    font-size: 16px;
    font-weight: bold;
}

.grid-container .grid-content .filters .filter .title{
    font-size: 14px;
    font-weight: bold;
    text-transform: capitalize;
    margin: 10px 0;
    text-align: left;
}

.grid-container .grid-content .filters .filter .items {
    display: flex;
    flex-direction: column;
    gap: 5px;
    cursor: pointer;
}

.grid-container .grid-content .grid-items{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    gap: 15px;
    padding: 10px;
    width: 80%;
}

.grid-container .totals {
    padding: 10px;
    font-size: 16px;
    font-weight: bold;
    display: flex;
    justify-content: space-between;
}

.pagination {
    margin: 30px;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-items: center;
    justify-content: center;
    gap: 10px;
}

.pagination .previous,
.pagination .next {
    border: 1px solid black;
    background: white;
    padding: 5px 15px;
    border-radius: 5px;
    width: 100px;
    cursor: pointer;
}

.pagination .previous.disabled,
.pagination .next.disabled {
    background: #f3f5f9;
    color: #bebebe;
    cursor: not-allowed;
}

.pagination .page {
    cursor: pointer;
}

.pagination .page.active {
    font-weight: bold;
}

.grid-item {
    box-shadow: 1px 2px 3px #00000069;
    padding: 20px;
    text-align: center;
    border-radius: 8px;
    background: white;
}

.grid-item .link {
    width: 100%;
    display: block;
    color: black;
    text-decoration: none;
}

.grid-item .image {
    width: 100%;
    max-width: 100px;
    margin: 0 auto 5px;
}

.grid-item .name {
    font-size: 16px;
    font-weight: bold;
}

.grid-item .sku {
    font-size: 14px;
    font-weight: bold;
    color: #898989;
    margin: 15px 0 0 0;
}

.grid-item .description {
    font-size: 14px;
    color: gray;
    margin-top: 15px;
}

/* ----- Scanner ----- */

#scanner-container {
    position: fixed!important;
    top: 50%;
    width: 50vw;
    height: 50vh;
    transform: translate(50%, -50%);
    background: white;
    display: none;
}

/* ----- Debug Query ----- */

#debug-query-container {
    display: none;
    position: fixed;
    z-index: 9999;
    background: #f3f5f9;
    width: 90vw;
    overflow: hidden;
    height: 80vh;
    transform: translate(-50%, -50%);
    top: 50%;
    left: 50%;
    padding: 30px;
    box-sizing: border-box;
    box-shadow: 0 1px 4px #5f5f5f;
    border-radius: 8px;
    text-align: right;
}

#debug-query-container.show {
    display: block;
}

#debug-query-container .close {
    border: 1px solid #31508a;
    background: white;
    font-size: 12px;
    padding: 4px 12px;
    border-radius: 3px;
    margin-left: 3px;
    cursor: pointer;
}

#debug-query-container .copy {
    border: 1px solid #31508a;
    background: white;
    font-size: 12px;
    padding: 4px 12px;
    border-radius: 3px;
    margin-left: 3px;
    cursor: pointer;
}

#debug-query-container .query {
    font-size: 14px;
    font-weight: 400;
    line-height: 18px;
    letter-spacing: 0;
    text-align: left;
    color: #000000;
    width: 100%;
    height: 95%;
    height: calc(100% - 30px);
    overflow: scroll;
    background: white;
    padding: 30px;
    box-sizing: border-box;
}

.debug-query-button {
    position: absolute;
    top: 4px;
    right: 7px;
    color: #bebebe;
    font-style: italic;
    cursor: pointer;
}

/* ----- MEDIA QUERIES ----- */

@media (max-width: 992px) {

    .header {
        flex-direction: column;
    }
    .search-container {
        margin: 30px 0;
        padding: 0 10px;
    }
    .select-wrapper {
        width: 120px;
        padding: 0;
        position: relative;
    }
    .select-wrapper select {
        box-sizing: border-box;
        appearance: none;
        -webkit-appearance: none;
        -moz-appearance: none;
        background-image: url(https://cube.commercebox.io/search/icons/categories_mobile.svg);
        background-position: left center;
        background-repeat: no-repeat;
        font-size: 0;
        padding: 10px !important;
        background-size: 83px;
    }
    .categories-list option {
        font-size: 14px !important;
        padding: 10px !important;
    }
    .search-input-container {
        border-radius: 30px;
        zoom: 0.8;
    }
    .search-input-container .actions {
        right: 15px;
    }
    .search-popup {
        width: calc(100% - 55px);
        transform: translate(-50%, 6px);
        padding: 15px 15px;
        flex-direction: column;
    }
    .search-popup .left-col .suggested-items-title .title {
        font-size: 14px;
    }
    .search-popup .left-col .suggested-items-show-all-button .title {
        font-size: 13px;
    }
    .search-popup .left-col, .search-popup .middle-col, .search-popup .right-col {
        width: 100%;
    }
    .debug-query-button {
        top: 0;
        font-size: 11px;
    }
    .search-popup .left-col {
        order: 2;
    }
    .search-popup .middle-col {
        order: 1;
        border-bottom: 2px solid #00223D1A;
        margin-bottom: 20px;
    }
    .search-popup .right-col {
        order: 3;
    }
    .search-popup .middle-col .typeahead-container {
        margin-bottom: 20px;
    }
    .search-popup .left-col .suggested-items-list .suggested-item .right-column {
        padding-top: 0;
    }

    .recent-searches-list,
    .categories-container,
    .brands-container {
        display: none;
    }
    #scanner-container {
        width: 95vw;
        height: auto;
        transform: translate(2%, -50%);
    }
    .grid-container .grid-content .grid-items{
        grid-template-columns: 1fr;
        width: 100%;
        box-sizing: border-box;
    }
    .grid-container .grid-content {
        display: flex;
        flex-direction: column;
    }
    .grid-container .grid-content .filters {
        width: 100%;
        box-sizing: border-box;
        border-bottom: 1px solid #b9bbbd;
        padding-bottom: 20px;
        margin-bottom: 15px;
    }
    .grid-item {
        box-shadow: 0px 1px 1px #00000069;
    }
}
